<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Strange Adventures (2020-)</Series>
  <Number>4</Number>
  <Web>https://www.comixology.com/Strange-Adventures-2020-4/digital-comic/878628</Web>
  <Summary>Welcome to planet Rann, Mr. Terrific! Earth’s champion of fair play has traveled halfway across the galaxy to investigate firsthand the crimes Adam Strange stands accused of. He’s not going to find many friendly witnesses, though, as the people of Rann consider Adam Strange their true champion. Yet for all the resistance Mister Terrific faces on the surface of Rann, his true opposition may be lurking closer to his subject than he realizes. 
This adventure between two worlds continues, with Mitch Gerads drawing the gritty Earth sequences, and Evan “Doc” Shaner showing us the splendor of Adam Strange’s battles in outer space!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB878628], [RELDATE:2020-08-04]</Notes>
  <Publisher>DC</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>33</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
